Lucius API
Usage

Get a usage event

Retrieve a single usage event by its idempotency key (`event_id`).

GET
/v1/billing/usage/{event_id}
AuthorizationBearer <token>

API key as Bearer token: Authorization: Bearer luc_live_...

In: header

Path Parameters

event_id*string

The idempotency key of the event.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.lucius.finance/v1/billing/usage/evt-2026-03-001"
{
  "object": "usage_event",
  "id": "evt-2026-03-001",
  "contract": "acme-corp-2026",
  "metric": "revenue_amount_invoiced",
  "quantity": 10000,
  "service_period_start": "2026-03-25",
  "service_period_end": "2026-03-25",
  "ingested_at": "2026-03-05T11:21:59.868Z",
  "status": "rated"
}

{
  "error": "Missing API key"
}

{
  "error": "Not found"
}